// Default.vs
// Default shader for 2D sprites and overlay items
// Uses vertex colour to determine brightness of object

uniform mat4 umatWorldViewProj;

attribute vec4 avPosition;
attribute vec4 avColour;
attribute vec3 avNormal;
attribute vec2 avTexCoord;

varying vec4 vvDiffuse;
varying highp vec2 vvTexCoord;

void main()
{
    //Convert the vertex from world space to projection
    gl_Position = umatWorldViewProj * avPosition;
    //Set the diffuse colour
    vvDiffuse = avColour;
    //Apply the texture matrix to the texture coordinates
    vvTexCoord = avTexCoord;
}
