// Default3D.vs
// Default shader used for 3D meshes
// Lighting method used is Lambertian for diffuse 


//----------------------------------------------
/// MoFlow Required Variables
//----------------------------------------------
uniform mat4 umatWorldViewProj;
uniform mat4 umatNormal;

attribute vec4 avPosition;
attribute vec4 avColour;
attribute vec3 avNormal;
attribute vec2 avTexCoord;
//----------------------------------------------
//----------------------------------------------

uniform lowp float ufLighting;

varying highp vec2 vvTexCoord;

void main()
{
    //Convert the vertex from world space to projection
    gl_Position = umatWorldViewProj * avPosition;
	
	//Apply the texture matrix to the texture coordinates
    vvTexCoord = avTexCoord;
}