// Default.ps
// Simply mixes colour from vertex with texture 

precision mediump float;

uniform lowp sampler2D uTexture0;
varying mediump vec4 vvTexCoord;

varying lowp vec4 vvDiffuse;

mediump float InvBlendWidth = 80.0 * vvTexCoord.w;
mediump float OuterEdge = 0.5 - 0.5 / InvBlendWidth;

uniform vec4 uvOutlineColour;

void main()
{
	mediump float fDistField = texture2D(uTexture0, vvTexCoord.xy).r;
	
	vec4 vFinalCol = vvDiffuse;

	float fAlphaVal = vFinalCol.a * clamp((fDistField - OuterEdge) * InvBlendWidth, 0.0, 1.0);
	gl_FragColor = vFinalCol * fAlphaVal;
	gl_FragColor.a = fAlphaVal;
} 