// DistanceFont.vs
// Vertex shader for distance field font rendering

uniform mat4 umatWorldViewProj;

attribute vec4 avPosition;
attribute vec2 avTexCoord;
attribute vec4 avColour;

varying vec4 vvDiffuse;
varying vec4 vvTexCoord;

void main()
{
    //Convert the vertex from world space to projection
    gl_Position = umatWorldViewProj * vec4(avPosition.xyz, 1.0);
    
    vvDiffuse = avColour;

    //Apply the texture matrix to the texture coordinates
    vvTexCoord = vec4(avTexCoord.xy, 0, avPosition.w);;
}
